# Purpose of the Address Resolver Document

To use the DARP protocol in a supported application a user must register a DID Document that includes a service endpoint that DARP compliant applications (wallets, dApps, browsers, etc) can use to access an Address Resolver Document (ARD) which stores resolution information for a given Address Name. An example of how the Address Resolver Document may be structured is as follows:

```javascript
{
  "addressName": "myname.address",
  "addresses": [{
    "ada": "addr123456789abcdefghijklmnopqrstuvwxyz123456789abcdefghijklmnopqrstuvwxyz123456789abcdefghijklmnopqrst",
    "btc": "1PC9aZC4hNX2rmmrt7uHTfYAS3hRbph4UN",
    "http": "www.myname.com"
  }],
  "subNames": [{
    "addressName": "iohk.myname.address",
    "addresses": [{
      "ada": "addrabcdefghijklmnopqrstuvwxyz123456789abcdefghijklmnopqrstuvwxyz123456789abcdefghijklmnopqrstuvwxyz123",
      "http": "54.206.19.82",
      "gps": "22.277478493216226, 114.16839175078059"
    }]
  }],
  "timestamp": "2020-12-17T06:35:22Z",
  "signature": "DtEhU3ljbEg8L38VWAfUAqOyKAM6-Xx-F4GawxaepmXFCgfTjDxw5djxLa8ISlSApmWQxfKTUJqPP3-Kg6NU01Q"
}
```

{% hint style="info" %}
NOTE:  An Address Resolver Document can include more than just cryptocurrency addresses, which means over time entities can begin to manage all their address resolution requirements using a common protocol.&#x20;
{% endhint %}

While Decentralised Address Name Registrars will likely host users Address Resolver Documents as part of their service, the user is free to store it anywhere they want (e.g. IPFS, a Cardano SPO, a private server, Google Drive) as long as the endpoint registered in the DID Document is accessible.

Consideration is also being given from providing a mechanism to include multiple ARD endpoints in the DID Document.  This will allow a user to store their ARD in distributed locations for redundancy purposes (i.e. if a hosting location becomes unavailable).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.darp.tech/address-resolver-documents/address-resolver-document.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
